tests/testMultiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1949884 kB, VmSize: 1949884 kB, VmRSS: 317912 kB, VmData: 401876 kB, Mmaps: 1735, Mmaps: 1949884 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1951180 kB, VmSize: 1951180 kB, VmRSS: 319204 kB, VmData: 403172 kB, Mmaps: 1735, Mmaps: 1951180 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1951180 kB, VmSize: 1950684 kB, VmRSS: 319200 kB, VmData: 402916 kB, Mmaps: 1722, Mmaps: 1950684 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00079500000000010
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+25/meas_extensions_astrometryNet-master-g43362ee2f3+25/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.33; loadPixelBoxStartUserTime=1.821692; loadPixelBoxStartSystemTime=0.512884; loadPixelBoxStartMaxResidentSetSize=319468; loadPixelBoxStartMinorPageFaults=88662; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=104; loadPixelBoxStartBlockOutputs=88; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=124362
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.33; loadSkyCircleStartUserTime=1.8221919999999998; loadSkyCircleStartSystemTime=0.5130239999999999; loadSkyCircleStartMaxResidentSetSize=319468; loadSkyCircleStartMinorPageFaults=88671; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=104; loadSkyCircleStartBlockOutputs=96; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=124362
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.33; _readIndexFilesStartUserTime=1.822676; _readIndexFilesStartSystemTime=0.5130239999999999; _readIndexFilesStartMaxResidentSetSize=319468; _readIndexFilesStartMinorPageFaults=88671; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=96; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124362
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.33; _readIndexFilesEndUserTime=1.822824; _readIndexFilesEndSystemTime=0.5130239999999999; _readIndexFilesEndMaxResidentSetSize=319468; _readIndexFilesEndMinorPageFaults=88673; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=96; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124362
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.33; loadSkyCircleEndUserTime=1.825388; loadSkyCircleEndSystemTime=0.513076; loadSkyCircleEndMaxResidentSetSize=319504; loadSkyCircleEndMinorPageFaults=88942; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=104; loadSkyCircleEndBlockOutputs=96; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=124362
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.34; loadPixelBoxEndUserTime=1.831979; loadPixelBoxEndSystemTime=0.513076; loadPixelBoxEndMaxResidentSetSize=319504; loadPixelBoxEndMinorPageFaults=88973; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=104; loadPixelBoxEndBlockOutputs=96; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=124362
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+25/meas_extensions_astrometryNet-master-g43362ee2f3+25/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+25/meas_extensions_astrometryNet-master-g43362ee2f3+25/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/27022/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/27022/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.7; _readIndexFilesStartUserTime=2.184142; _readIndexFilesStartSystemTime=0.520702; _readIndexFilesStartMaxResidentSetSize=321832; _readIndexFilesStartMinorPageFaults=91028; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124363
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.7; _readIndexFilesEndUserTime=2.188618; _readIndexFilesEndSystemTime=0.5208119999999999; _readIndexFilesEndMaxResidentSetSize=321844; _readIndexFilesEndMinorPageFaults=91036; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124363
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1953084 kB, VmSize: 1953084 kB, VmRSS: 321844 kB, VmData: 404944 kB, Mmaps: 1740, Mmaps: 1953084 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1953340 kB, VmSize: 1953340 kB, VmRSS: 322104 kB, VmData: 405200 kB, Mmaps: 1740, Mmaps: 1953340 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1953340 kB, VmSize: 1952968 kB, VmRSS: 322212 kB, VmData: 405200 kB, Mmaps: 1722, Mmaps: 1952968 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00073699999999999
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+25/meas_extensions_astrometryNet-master-g43362ee2f3+25/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.73; loadPixelBoxStartUserTime=2.211393; loadPixelBoxStartSystemTime=0.5267609999999999; loadPixelBoxStartMaxResidentSetSize=322320; loadPixelBoxStartMinorPageFaults=91155; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=104; loadPixelBoxStartBlockOutputs=112; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=124363
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.73; loadSkyCircleStartUserTime=2.212002; loadSkyCircleStartSystemTime=0.5267609999999999; loadSkyCircleStartMaxResidentSetSize=322320; loadSkyCircleStartMinorPageFaults=91155; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=104; loadSkyCircleStartBlockOutputs=112; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=124363
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.73; _readIndexFilesStartUserTime=2.212263; _readIndexFilesStartSystemTime=0.5267609999999999; _readIndexFilesStartMaxResidentSetSize=322320; _readIndexFilesStartMinorPageFaults=91155; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124363
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.73; _readIndexFilesEndUserTime=2.212416; _readIndexFilesEndSystemTime=0.5267649999999999; _readIndexFilesEndMaxResidentSetSize=322320; _readIndexFilesEndMinorPageFaults=91155; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124363
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.73; loadSkyCircleEndUserTime=2.216585; loadSkyCircleEndSystemTime=0.526802; loadSkyCircleEndMaxResidentSetSize=322320; loadSkyCircleEndMinorPageFaults=91388; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=104; loadSkyCircleEndBlockOutputs=120; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=124363
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.74; loadPixelBoxEndUserTime=2.223113; loadPixelBoxEndSystemTime=0.526802; loadPixelBoxEndMaxResidentSetSize=322320; loadPixelBoxEndMinorPageFaults=91388; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=104; loadPixelBoxEndBlockOutputs=120; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=124363
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.1; _readIndexFilesStartUserTime=2.573603; _readIndexFilesStartSystemTime=0.530567; _readIndexFilesStartMaxResidentSetSize=325416; _readIndexFilesStartMinorPageFaults=92776; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124364
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.1; _readIndexFilesEndUserTime=2.57723; _readIndexFilesEndSystemTime=0.530567; _readIndexFilesEndMaxResidentSetSize=325424; _readIndexFilesEndMinorPageFaults=92782; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124364
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956416 kB, VmSize: 1956416 kB, VmRSS: 325424 kB, VmData: 408400 kB, Mmaps: 1735, Mmaps: 1956416 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956416 kB, VmSize: 1956416 kB, VmRSS: 325424 kB, VmData: 408400 kB, Mmaps: 1735, Mmaps: 1956416 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956416 kB, VmSize: 1956168 kB, VmRSS: 325416 kB, VmData: 408400 kB, Mmaps: 1722, Mmaps: 1956168 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072899999999976
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+25/meas_extensions_astrometryNet-master-g43362ee2f3+25/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.13; loadPixelBoxStartUserTime=2.600283; loadPixelBoxStartSystemTime=0.535499; loadPixelBoxStartMaxResidentSetSize=325520; loadPixelBoxStartMinorPageFaults=92806; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=104; loadPixelBoxStartBlockOutputs=128; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=124364
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.13; loadSkyCircleStartUserTime=2.600713; loadSkyCircleStartSystemTime=0.535588; loadSkyCircleStartMaxResidentSetSize=325520; loadSkyCircleStartMinorPageFaults=92806; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=104; loadSkyCircleStartBlockOutputs=136; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=124364
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.13; _readIndexFilesStartUserTime=2.6011670000000002; _readIndexFilesStartSystemTime=0.535588; _readIndexFilesStartMaxResidentSetSize=325520; _readIndexFilesStartMinorPageFaults=92806; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=136; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124364
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.13; _readIndexFilesEndUserTime=2.601313; _readIndexFilesEndSystemTime=0.535588; _readIndexFilesEndMaxResidentSetSize=325520; _readIndexFilesEndMinorPageFaults=92806; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=136; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124364
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.13; loadSkyCircleEndUserTime=2.6031459999999997; loadSkyCircleEndSystemTime=0.536472; loadSkyCircleEndMaxResidentSetSize=325520; loadSkyCircleEndMinorPageFaults=93011; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=104; loadSkyCircleEndBlockOutputs=136; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=124364
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.13; loadPixelBoxEndUserTime=2.609445; loadPixelBoxEndSystemTime=0.53653; loadPixelBoxEndMaxResidentSetSize=325520; loadPixelBoxEndMinorPageFaults=93011; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=104; loadPixelBoxEndBlockOutputs=136; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=124364
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.49; _readIndexFilesStartUserTime=2.959278; _readIndexFilesStartSystemTime=0.5433359999999999; _readIndexFilesStartMaxResidentSetSize=325520; _readIndexFilesStartMinorPageFaults=93757; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=144; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.5; _readIndexFilesEndUserTime=2.962459; _readIndexFilesEndSystemTime=0.543368; _readIndexFilesEndMaxResidentSetSize=325520; _readIndexFilesEndMinorPageFaults=93763; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=144; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956584 kB, VmSize: 1956416 kB, VmRSS: 325424 kB, VmData: 408400 kB, Mmaps: 1735, Mmaps: 1956416 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956584 kB, VmSize: 1956416 kB, VmRSS: 325424 kB, VmData: 408400 kB, Mmaps: 1735, Mmaps: 1956416 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956584 kB, VmSize: 1956168 kB, VmRSS: 325416 kB, VmData: 408400 kB, Mmaps: 1722, Mmaps: 1956168 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00073999999999996
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+25/meas_extensions_astrometryNet-master-g43362ee2f3+25/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.52; loadPixelBoxStartUserTime=2.987931; loadPixelBoxStartSystemTime=0.54645; loadPixelBoxStartMaxResidentSetSize=325520; loadPixelBoxStartMinorPageFaults=93787; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=104; loadPixelBoxStartBlockOutputs=152; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.52; loadSkyCircleStartUserTime=2.988531; loadSkyCircleStartSystemTime=0.54645; loadSkyCircleStartMaxResidentSetSize=325520; loadSkyCircleStartMinorPageFaults=93787; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=104; loadSkyCircleStartBlockOutputs=152; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.52; _readIndexFilesStartUserTime=2.988801; _readIndexFilesStartSystemTime=0.54645; _readIndexFilesStartMaxResidentSetSize=325520; _readIndexFilesStartMinorPageFaults=93787; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.52; _readIndexFilesEndUserTime=2.988956; _readIndexFilesEndSystemTime=0.546454; _readIndexFilesEndMaxResidentSetSize=325520; _readIndexFilesEndMinorPageFaults=93787; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.53; loadSkyCircleEndUserTime=2.991826; loadSkyCircleEndSystemTime=0.546454; loadSkyCircleEndMaxResidentSetSize=325520; loadSkyCircleEndMinorPageFaults=93992; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=104; loadSkyCircleEndBlockOutputs=152; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.53; loadPixelBoxEndUserTime=2.998383; loadPixelBoxEndSystemTime=0.546454; loadPixelBoxEndMaxResidentSetSize=325520; loadPixelBoxEndMinorPageFaults=93992; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=104; loadPixelBoxEndBlockOutputs=152; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.89; _readIndexFilesStartUserTime=3.345578; _readIndexFilesStartSystemTime=0.55225; _readIndexFilesStartMaxResidentSetSize=325520; _readIndexFilesStartMinorPageFaults=94738; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=160; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.89; _readIndexFilesEndUserTime=3.349331; _readIndexFilesEndSystemTime=0.55321; _readIndexFilesEndMaxResidentSetSize=325520; _readIndexFilesEndMinorPageFaults=94746; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956584 kB, VmSize: 1956540 kB, VmRSS: 325428 kB, VmData: 408400 kB, Mmaps: 1741, Mmaps: 1956540 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956584 kB, VmSize: 1956540 kB, VmRSS: 325428 kB, VmData: 408400 kB, Mmaps: 1741, Mmaps: 1956540 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956584 kB, VmSize: 1956168 kB, VmRSS: 325416 kB, VmData: 408400 kB, Mmaps: 1722, Mmaps: 1956168 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00077100000000030
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+25/meas_extensions_astrometryNet-master-g43362ee2f3+25/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.92; loadPixelBoxStartUserTime=3.372429; loadPixelBoxStartSystemTime=0.558229; loadPixelBoxStartMaxResidentSetSize=325528; loadPixelBoxStartMinorPageFaults=94770; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=104; loadPixelBoxStartBlockOutputs=168; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.92; loadSkyCircleStartUserTime=3.372866; loadSkyCircleStartSystemTime=0.558302; loadSkyCircleStartMaxResidentSetSize=325528; loadSkyCircleStartMinorPageFaults=94770; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=104; loadSkyCircleStartBlockOutputs=168; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.92; _readIndexFilesStartUserTime=3.373292; _readIndexFilesStartSystemTime=0.558345; _readIndexFilesStartMaxResidentSetSize=325528; _readIndexFilesStartMinorPageFaults=94770; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.92; _readIndexFilesEndUserTime=3.373442; _readIndexFilesEndSystemTime=0.558345; _readIndexFilesEndMaxResidentSetSize=325528; _readIndexFilesEndMinorPageFaults=94770; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.92; loadSkyCircleEndUserTime=3.37759; loadSkyCircleEndSystemTime=0.558345; loadSkyCircleEndMaxResidentSetSize=325528; loadSkyCircleEndMinorPageFaults=95003; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=104; loadSkyCircleEndBlockOutputs=176; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.93; loadPixelBoxEndUserTime=3.383884; loadPixelBoxEndSystemTime=0.558345; loadPixelBoxEndMaxResidentSetSize=325528; loadPixelBoxEndMinorPageFaults=95003; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=104; loadPixelBoxEndBlockOutputs=176; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.29; _readIndexFilesStartUserTime=3.732196; _readIndexFilesStartSystemTime=0.563236; _readIndexFilesStartMaxResidentSetSize=325528; _readIndexFilesStartMinorPageFaults=95749; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=176; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.29; _readIndexFilesEndUserTime=3.7348239999999997; _readIndexFilesEndSystemTime=0.563236; _readIndexFilesEndMaxResidentSetSize=325528; _readIndexFilesEndMinorPageFaults=95755; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=176; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956708 kB, VmSize: 1956408 kB, VmRSS: 325424 kB, VmData: 408400 kB, Mmaps: 1735, Mmaps: 1956408 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956708 kB, VmSize: 1956408 kB, VmRSS: 325424 kB, VmData: 408400 kB, Mmaps: 1735, Mmaps: 1956408 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956708 kB, VmSize: 1956168 kB, VmRSS: 325416 kB, VmData: 408400 kB, Mmaps: 1722, Mmaps: 1956168 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00067899999999987
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+25/meas_extensions_astrometryNet-master-g43362ee2f3+25/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.32; loadPixelBoxStartUserTime=3.760577; loadPixelBoxStartSystemTime=0.56614; loadPixelBoxStartMaxResidentSetSize=325528; loadPixelBoxStartMinorPageFaults=95779; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=104; loadPixelBoxStartBlockOutputs=184; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.32; loadSkyCircleStartUserTime=3.761026; loadSkyCircleStartSystemTime=0.5662079999999999; loadSkyCircleStartMaxResidentSetSize=325528; loadSkyCircleStartMinorPageFaults=95779; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=104; loadSkyCircleStartBlockOutputs=184; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.32; _readIndexFilesStartUserTime=3.761458; _readIndexFilesStartSystemTime=0.5662079999999999; _readIndexFilesStartMaxResidentSetSize=325528; _readIndexFilesStartMinorPageFaults=95779; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.32; _readIndexFilesEndUserTime=3.761614; _readIndexFilesEndSystemTime=0.5662079999999999; _readIndexFilesEndMaxResidentSetSize=325528; _readIndexFilesEndMinorPageFaults=95779; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=192; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.32; loadSkyCircleEndUserTime=3.764141; loadSkyCircleEndSystemTime=0.566224; loadSkyCircleEndMaxResidentSetSize=325528; loadSkyCircleEndMinorPageFaults=96008; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=104; loadSkyCircleEndBlockOutputs=192; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.33; loadPixelBoxEndUserTime=3.770622; loadPixelBoxEndSystemTime=0.566224; loadPixelBoxEndMaxResidentSetSize=325528; loadPixelBoxEndMinorPageFaults=96008; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=104; loadPixelBoxEndBlockOutputs=192; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=124365
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.71; _readIndexFilesStartUserTime=4.146904; _readIndexFilesStartSystemTime=0.5750959999999999; _readIndexFilesStartMaxResidentSetSize=325528; _readIndexFilesStartMinorPageFaults=98980; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124366
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.92; _readIndexFilesEndUserTime=4.328504; _readIndexFilesEndSystemTime=0.609055; _readIndexFilesEndMaxResidentSetSize=383884; _readIndexFilesEndMinorPageFaults=113918; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=200; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124366
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2039004 kB, VmSize: 2038492 kB, VmRSS: 384788 kB, VmData: 466724 kB, Mmaps: 2928, Mmaps: 2038492 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2039136 kB, VmSize: 2038880 kB, VmRSS: 389164 kB, VmData: 467112 kB, Mmaps: 2928, Mmaps: 2038880 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2039136 kB, VmSize: 2015136 kB, VmRSS: 384292 kB, VmData: 467368 kB, Mmaps: 1723, Mmaps: 2015136 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0092650000000001
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+25/meas_extensions_astrometryNet-master-g43362ee2f3+25/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.02; loadPixelBoxStartUserTime=4.406442; loadPixelBoxStartSystemTime=0.6271789999999999; loadPixelBoxStartMaxResidentSetSize=389548; loadPixelBoxStartMinorPageFaults=115526; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=104; loadPixelBoxStartBlockOutputs=208; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=124366
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.02; loadSkyCircleStartUserTime=4.406991; loadSkyCircleStartSystemTime=0.6271789999999999; loadSkyCircleStartMaxResidentSetSize=389548; loadSkyCircleStartMinorPageFaults=115526; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=104; loadSkyCircleStartBlockOutputs=208; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=124366
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.02; _readIndexFilesStartUserTime=4.40728; _readIndexFilesStartSystemTime=0.6271789999999999; _readIndexFilesStartMaxResidentSetSize=389548; _readIndexFilesStartMinorPageFaults=115526; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=104; _readIndexFilesStartBlockOutputs=208; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=124366
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.02; _readIndexFilesEndUserTime=4.407574; _readIndexFilesEndSystemTime=0.6271789999999999; _readIndexFilesEndMaxResidentSetSize=389548; _readIndexFilesEndMinorPageFaults=115526; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=104; _readIndexFilesEndBlockOutputs=208; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=124366
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.14; loadSkyCircleEndUserTime=4.5129850000000005; loadSkyCircleEndSystemTime=0.634122; loadSkyCircleEndMaxResidentSetSize=389548; loadSkyCircleEndMinorPageFaults=118824; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=104; loadSkyCircleEndBlockOutputs=208; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=124366
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.15; loadPixelBoxEndUserTime=4.529559; loadPixelBoxEndSystemTime=0.634122; loadPixelBoxEndMaxResidentSetSize=389548; loadPixelBoxEndMinorPageFaults=118824; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=104; loadPixelBoxEndBlockOutputs=208; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=124366
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.326s

OK
Mem0: Memory usage:
max rss: [0.325528, 'MB'] MB
VmPeak 1956708 kB
VmSize 1956168 kB
VmRSS 325416 kB
VmData 408400 kB
VmStk 172 kB
Number of mmaps: 1722
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.383884, 'MB'] MB
VmPeak 2037444 kB
VmSize 2037444 kB
VmRSS 383884 kB
VmData 465676 kB
VmStk 172 kB
Number of mmaps: 2928
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.389548, 'MB'] MB
VmPeak 2039136 kB
VmSize 2015136 kB
VmRSS 384360 kB
VmData 467368 kB
VmStk 172 kB
Number of mmaps: 1723
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.389548, 'MB'] MB
VmPeak 2039136 kB
VmSize 2015136 kB
VmRSS 384360 kB
VmData 467368 kB
VmStk 172 kB
Number of mmaps: 1723
None
FD3: 5
